[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Debian: handle broken nodes gracefully
Holger Levsen
holger at layer-acht.org
Wed Oct 19 09:32:50 UTC 2016
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 2f03eeb37a0ba456541d1134aaae6b903e563eb9
Author: Holger Levsen <holger at layer-acht.org>
Date: Wed Oct 19 11:32:41 2016 +0200
reproducible Debian: handle broken nodes gracefully
---
bin/reproducible_nodes_info.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/bin/reproducible_nodes_info.sh b/bin/reproducible_nodes_info.sh
index a41c0f6..f7ab93f 100755
--- a/bin/reproducible_nodes_info.sh
+++ b/bin/reproducible_nodes_info.sh
@@ -29,7 +29,13 @@ for NODE in $BUILD_NODES jenkins.debian.net ; do
export NODE_NAME=$NODE
export JOB_NAME=$JOB_NAME
echo "$(date -u) - Trying to update $TARGET_DIR/$NODE."
+ set +e
/srv/jenkins/bin/jenkins_master_wrapper.sh /srv/jenkins/bin/reproducible_info.sh > $TMPFILE_SRC
+ if [ $? -eq 1 ] ; then
+ echo "$(date -u) - Warning: could not update $TARGET_DIR/$NODE."
+ continue
+ fi
+ set -e
for KEY in $BUILD_ENV_VARS ; do
VALUE=$(egrep "^$KEY=" $TMPFILE_SRC | cut -d "=" -f2-)
if [ ! -z "$VALUE" ] ; then
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list